- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
pdftron::Crypto::ObjectIdentifier Class Reference

`#include <ObjectIdentifier.h>`

## Public Types
enum | Predefined { e_commonName = 0, e_surname = 1, e_countryName = 2, e_localityName = 3, e_stateOrProvinceName = 4, e_streetAddress = 5, e_organizationName = 6, e_organizationalUnitName = 7, e_SHA1 = 8, e_SHA256 = 9, e_SHA384 = 10, e_SHA512 = 11, e_RIPEMD160 = 12, e_RSA_encryption_PKCS1 = 13, e_RSASSA_PSS = 14, e_MGF1 = 15 }

## Public Member Functions
| ObjectIdentifier (const ObjectIdentifier &other)
ObjectIdentifier & | operator= (const ObjectIdentifier &other)
| ~ObjectIdentifier ()
void | Destroy ()
| ObjectIdentifier (const Predefined in_oid_enum)
| ObjectIdentifier (const UInt32 *in_arr, const size_t in_size)
| ObjectIdentifier (const DigestAlgorithm::Type in_digest_algorithm_type)
std::vector< UInt32 > | GetRawValue () const
| ObjectIdentifier (TRN_ObjectIdentifier impl)

## Public Attributes
TRN_ObjectIdentifier | m_impl

## Detailed Description

This class represents an object identifier (OID), as defined by ITU and used in X.509.

Definition at line 18 of file ObjectIdentifier.h.

## Member Enumeration Documentation

enum pdftron::Crypto::ObjectIdentifier::Predefined

Enumerator
e_commonName |
e_surname |
e_countryName |
e_localityName |
e_stateOrProvinceName |
e_streetAddress |
e_organizationName |
e_organizationalUnitName |
e_SHA1 |
e_SHA256 |
e_SHA384 |
e_SHA512 |
e_RIPEMD160 |
e_RSA_encryption_PKCS1 |
e_RSASSA_PSS |
e_MGF1 |

Definition at line 22 of file ObjectIdentifier.h.

## Constructor & Destructor Documentation

pdftron::Crypto::ObjectIdentifier::ObjectIdentifier | ( | const ObjectIdentifier & | other | ) |

pdftron::Crypto::ObjectIdentifier::~ObjectIdentifier | ( |  | ) |

pdftron::Crypto::ObjectIdentifier::ObjectIdentifier | ( | const Predefined | in_oid_enum | ) |

Constructs an ObjectIdentifier from an enum.

Parameters

  in_oid_enum | the enumerated value to use

Note
  Not all possible OID values are available as enum values.

pdftron::Crypto::ObjectIdentifier::ObjectIdentifier | ( | const UInt32 * | in_arr,
|  | const size_t | in_size
| ) |  |

Constructor from array of unsigned integer components of an object identifier.

Parameters

  in_arr | – a pointer to an array of integers to use
  in_size | – the number of items items in the array

pdftron::Crypto::ObjectIdentifier::ObjectIdentifier | ( | const DigestAlgorithm::Type | in_digest_algorithm_type | ) |

Constructs an ObjectIdentifier from a DigestAlgorithm Type.

Parameters

  in_digest_algorithm_type | – the type enumeration corresponding to your desired digest algorithm

pdftron::Crypto::ObjectIdentifier::ObjectIdentifier | ( | TRN_ObjectIdentifier | impl | ) |

## Member Function Documentation

void pdftron::Crypto::ObjectIdentifier::Destroy | ( |  | ) |

std::vector<UInt32> pdftron::Crypto::ObjectIdentifier::GetRawValue | ( |  | ) | const

Retrieves the value of the object identifier.

Returns
  the value of the object identifier, as a container of integer components.

ObjectIdentifier& pdftron::Crypto::ObjectIdentifier::operator= | ( | const ObjectIdentifier & | other | ) |

## Member Data Documentation

TRN_ObjectIdentifier pdftron::Crypto::ObjectIdentifier::m_impl

Definition at line 95 of file ObjectIdentifier.h.

The documentation for this class was generated from the following file:

- Crypto/ObjectIdentifier.h